Bug 1228172 - Review Request: jedis - A redis Java client
Summary: Review Request: jedis - A redis Java client
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1228169
Blocks: 1228203
TreeView+ depends on / blocked
 
Reported: 2015-06-04 10:49 UTC by gil cattaneo
Modified: 2015-09-09 23:19 UTC (History)
2 users (show)

Fixed In Version: 2.7.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 23:19:50 UTC
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-04 10:49:42 UTC
Spec URL: https://gil.fedorapeople.org/jedis.spec
SRPM URL: https://gil.fedorapeople.org/jedis-2.7.2-1.fc20.src.rpm
Description: Jedis is a blazingly small and sane Redis java client.
Fedora Account System Username: gil

Comment 1 Hans de Goede 2015-06-23 07:21:14 UTC
I'll take care of reviewing this one.

Comment 2 Hans de Goede 2015-06-23 07:37:05 UTC
Hi,

I'm afraid that (after building and installing the package from bug 1228169) it does not build for me:

[ERROR] Exit code: 1 - /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/jedis

<snip>

[ERROR] /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/jedis/BinaryJedis.java:326: error: malformed HTML
[ERROR] * @see <ahref="http://code.google.com/p/redis/wiki/ExpireCommand">ExpireCommand</a>
[ERROR] ^
[ERROR] /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/jedis/BinaryJedis.java:326: error: bad use of '>'

And a few more of these (and also lots of javadoc warnings), I've had build failures of several of my own java packages during the F-23 rebuild, these are caused by javadoc in the F-23/rawhide jdk being stricter.

I've managed to reproduce this issue on F-22 by installing the latest openjdk from F-23 on F-22:
http://koji.fedoraproject.org/koji/buildinfo?buildID=651231

This works fine on F-22 and gives you the stricter javadoc, which should allow you to reproduce and then fix this problem.

Also I've a question about the .spec file:

# take too much time and use web connection
%mvn_build -f

Can you make the comment better so that it explains things a bit more, also use a web connection? I know maven normally does that, but I thought that %mvn_build disables that ?

Regards,

Hans

Comment 3 gil cattaneo 2015-06-23 14:56:06 UTC
(In reply to Hans de Goede from comment #2)
> Hi,
> 
> I'm afraid that (after building and installing the package from bug 1228169)
> it does not build for me:
> 
> [ERROR] Exit code: 1 -
> /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/jedis
> 
> <snip>
> 
> [ERROR]
> /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/
> jedis/BinaryJedis.java:326: error: malformed HTML
> [ERROR] * @see
> <ahref="http://code.google.com/p/redis/wiki/ExpireCommand">ExpireCommand</a>
> [ERROR] ^
> [ERROR]
> /home/hans/rpmbuild/BUILD/jedis-jedis-2.7.2/src/main/java/redis/clients/
> jedis/BinaryJedis.java:326: error: bad use of '>'
> 
> And a few more of these (and also lots of javadoc warnings), I've had build
> failures of several of my own java packages during the F-23 rebuild, these
> are caused by javadoc in the F-23/rawhide jdk being stricter.
for a maven build you should remove maven-javadoc-plugin from POM file/s
for a ant build you should add:
e.g.
               version="true"
               use="true"
               windowtitle="Classycle"
-              failonerror="true"/>
+              failonerror="true">
+      <arg value="-Xdoclint:none"/>
+    </javadoc>
or
e.g.
     <javadoc destdir="${javadoc.dir}" source="1.6" failonerror="true"
       access="protected" 
+      additionalparam="-Xdoclint:none"
       windowtitle="JGraphT : a free Java graph library"
       overview="${src.dir}/overview.html">
       <classpath refid="build.classpath" />

> I've managed to reproduce this issue on F-22 by installing the latest
> openjdk from F-23 on F-22:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=651231
FiXED, remove maven-javadoc-plugin to use default javadoc setting to override doclint issues

> This works fine on F-22 and gives you the stricter javadoc, which should
> allow you to reproduce and then fix this problem.
> 
> Also I've a question about the .spec file:
> 
> # take too much time and use web connection
> %mvn_build -f
> 
> Can you make the comment better so that it explains things a bit more, also
> use a web connection? I know maven normally does that, but I thought that
> %mvn_build disables that ?
The test suite require unavailable resources, especially if the builder is a ARM arch based.
These builders are pretty slow compared to other arch.
Moreover, we don't have JIT enabled on this architecture, so everything
runs in interpreted mode. Package builds can be one to three orders of
magnitude slower on armv7hl compared to x86_64 and often fail due to
timeouts or OutOfMemoryError.
For "real" builds the only known workaround is
resubmitting the build until you get non-ARM builder.
Is a waste of time and resources.
> Regards,
> 
> Hans

Comment 5 gil cattaneo 2015-06-29 20:22:47 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10242377

Comment 7 Hans de Goede 2015-07-09 12:29:55 UTC
Hi,

(In reply to gil cattaneo from comment #6)
> Spec URL: https://gil.fedorapeople.org/jedis.spec
> SRPM URL: https://gil.fedorapeople.org/jedis-2.7.2-2.fc22.src.rpm

Thanks, sorry for being a bit slow to respond.

Full review done:

Good:
- rpmlint checks return:
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Everything looks good: Approved.

Regards,

Hans

Comment 8 gil cattaneo 2015-07-09 13:27:22 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: jedis
Short Description: A redis Java client
Upstream URL: https://github.com/xetorthio/jedis
Owners: gil
InitialCC: java-sig

Comment 9 Gwyn Ciesla 2015-07-09 17:50:16 UTC
Git done (by process-git-requests).

Comment 10 gil cattaneo 2015-07-10 02:49:33 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10329821

Comment 11 gil cattaneo 2015-08-30 16:53:48 UTC
Package Change Request
======================
Package Name: jedis
New Branches: f22
Owners: gil
InitialCC: java-sig

Comment 12 Gwyn Ciesla 2015-08-31 13:08:10 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-08-31 13:27:25 UTC
jedis-2.7.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14667

Comment 14 Fedora Update System 2015-09-01 09:58:08 UTC
jedis-2.7.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jedis'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14667

Comment 15 Fedora Update System 2015-09-09 23:19:49 UTC
jedis-2.7.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.